# --- options ---

# occam compiler
OCOPT=/Y /T4 /N /A /U
# linker
LKOPT=/Y /T4
# collect
COOPT=/Y
DEFLIBS=
DEFLIB4=dblmath.lib occama.lib occamutl.lib
DEFLIB8=occama.lib occamutl.lib

# --- just to make sure we don't use Microsofts 'ilink' if installed...

ILINK=C:\TRANS\D7305A\TOOLS\ilink

# --- collect & configure ---

bin\mandel.btl: bin\mandel.cfb makefile
	icollect bin\mandel.cfb /O $@

bin\mandel.cfb: mandel.pgm bin\mandel.lku makefile
	occonf mandel.pgm /O $@ $(COOPT)

# --- link ---

bin\mandel.lku: bin\mandel.tco makefile
	$(ILINK) bin\mandel.tco /O $@ $(LKOPT) $(DEFLIB4)

# --- compile occam ---

bin\mandel.tco: mandel.occ makefile
	oc mandel.occ /O $@ $(OCOPT)
	oc mandel.occ /ZA $(OCOPT) >bin\mandel.asm

# -=EOF=-
