/*------------------------------------------------------------------------
--                                                                      --
--                     H E L I O S   K E R N E L                        --
--                     -------------------------                        --
--                                                                      --
--             Copyright (C) 1987, Perihelion Software Ltd.             --
--                        All Rights Reserved.                          --
--                                                                      --
-- event.h								--
--                                                                      --
--	Event channel support.						--
--                                                                      --
--	Author:  NHG 8/8/88						--
--                                                                      --
------------------------------------------------------------------------*/
/* SccsId: @(#)event.h	1.2	25/11/88 Copyright (C) 1987, Perihelion Software Ltd.	*/

#ifndef __event_h
#define __event_h

#ifndef __helios_h
#include <helios.h>
#endif

typedef struct Event {
	struct Node	Node;		/* link in event chain		*/
	word		Pri;		/* priority in chain & vector	*/
	VoidFnPtr	Code;		/* event routine		*/
	void		*Data;		/* data for this		*/
	word		*ModTab;	/* set by kernel		*/
} Event;


#endif

/* -- End of event.h */
