
/* pwd.h : Posix password database header			*/

#ifndef _pwd_h
#define _pwd_h

struct passwd {
	char		*pw_name;
	char		*pw_passwd;
	uid_t		pw_uid;
	uid_t		pw_gid;
	char		*pw_comment;
	char		*pw_dir;
	char		*pw_shell;
};

extern struct passwd *getpwent(void);
extern struct passwd *getpwuid(uid_t uid);
extern struct passwd *getpwnam(char *name);
extern void setpwent(void);
extern int endpwent(void);

#endif

/* end of pwd.h */
