
/* SCCSID: @(#)fault.h	1.1 14/3/89 */

#include <syslib.h>

#define FDBBUFMAX	1024	/* size of FDB buffer	*/

typedef struct FDB {
	Stream	*stream;	/* fault database file 	*/
	word	pos;		/* buffer pos		*/
	word	upb;		/* buffer upb		*/
	char	buf[FDBBUFMAX];	/* file buffer		*/
} FDB;

extern FDB *fdbopen(string name);
extern void fdbclose(FDB *fdb);
extern void fdbrewind(FDB *fdb);
extern int fdbfind(FDB *fdb, char *class, word code, char *text, int tsize);

extern void Fault(word code, char *msg, word msize);
